import { ViewContainerRef, OnInit, EventEmitter, NgZone } from '@angular/core';
import { Shared } from "Omnia/Foundation/Models";
import * as Enums from "Omnia/Foundation/Extensibility/Enums";
import { LocalizationService, DialogService } from "Omnia/Foundation/Extensibility/Services";
export interface ddIconType {
    title: string;
    id: Enums.IconType;
}
export interface IConPickerScope {
    icon: Shared.IIcon;
    windowClass: string;
    iconTypes: Array<ddIconType>;
    onSelectCustomIcon: (dialogResult: number, valueResult: any) => void;
    browseFontIcon: () => void;
}
export declare class IconPicker implements OnInit {
    private viewContainer;
    private localizationService;
    private dialogService;
    private ngZone;
    icon: Shared.IIcon;
    disabledProp: any;
    windowClass: string;
    iconChange: EventEmitter<Shared.IIcon>;
    scope: IConPickerScope;
    constructor(viewContainer: ViewContainerRef, localizationService: LocalizationService, dialogService: DialogService, ngZone: NgZone);
    ngOnInit(): void;
    private init;
}
