import { OnInit, EventEmitter } from '@angular/core';
import { ControlViewPortType } from "Omnia/Foundation/Extensibility/Enums";
import { LocalizationService } from "Omnia/Foundation/Extensibility/Services/LocalizationService";
import * as Models from "Omnia/Foundation/Models";
export interface IViewPortControlSettingsScope {
    viewPortSettingsType: ControlViewPortType;
    viewPort: string;
    controlViewPortTypes: Array<Models.Shared.ILookupValue>;
    disableViewPort: boolean;
    selectType: (selectedType: Models.Shared.ILookupValue) => void;
}
export declare class ViewPortControlSettings implements OnInit {
    private localizationService;
    viewPortSettingsType: ControlViewPortType;
    viewPort: string;
    viewPortSettingsTypeChange: EventEmitter<ControlViewPortType>;
    viewPortChange: EventEmitter<string>;
    static templateGuid: string;
    scope: IViewPortControlSettingsScope;
    constructor(localizationService: LocalizationService);
    ngOnInit(): void;
    private init;
    onViewPortChange: (valueChange: any) => void;
    private selectType;
}
