import { INavigationGroup, INavigationNode, IDocInfo } from "Omnia/Foundation/Models";
import { AjaxService } from './AjaxService';
import { AdminLocalizationService } from './AdminLocalizationService';
import * as Enums from "Omnia/Foundation/Extensibility/Enums";
export declare class AdminNavigationService {
    private localizationService;
    private ajaxService;
    static onStateChangedRequestedEvent: string;
    static onStateLockedRequestedEvent: string;
    static onStateUnlockedRequestedEvent: string;
    static onStateUpdatedEvent: string;
    private navigationItems;
    private static navigationNodes;
    private $state;
    private $stateParams;
    private $rootScope;
    constructor(localizationService: AdminLocalizationService, ajaxService: AjaxService);
    getDocNavigations: (docType: Enums.DocumentTypes, renderer: (n: IDocInfo[]) => void) => void;
    getNavigationItems: () => INavigationGroup[];
    getNavigationNodeByState: (state: string) => INavigationNode;
    getBaseNavigationState: (state: string) => string;
    changeState: (node: INavigationNode) => void;
    lockState: () => void;
    unlockState: () => void;
    updateCurrentState: (node: INavigationNode) => void;
    getCurrentStatusFullUrl: () => string;
    private ensureInitialNavigationNodes();
    private processNodes;
    private replaceUrlWithParams;
}
