import { LocalizationService } from "Omnia/Foundation/Extensibility/Services/LocalizationService";
import { AjaxService } from "Omnia/Foundation/Extensibility/Services/AjaxService";
import { SecurityService } from "Omnia/Foundation/Extensibility/Services/SecurityService";
import { ControlEditModeManagementService } from "Omnia/Foundation/Extensibility/Services/ControlEditModeManagementService";
import { IGlue } from "Omnia/Foundation/Models";
export declare class GlueService {
    private ajaxService;
    private controlEditModeManagementService;
    private localizationService;
    private securityService;
    constructor(ajaxService: AjaxService, controlEditModeManagementService: ControlEditModeManagementService, localizationService: LocalizationService, securityService: SecurityService);
    isLayoutBuilderInDisplayMode(): boolean;
    getLayoutTemplate: (templateId: any, callback: (n: IGlue.ILayoutTemplate) => void) => void;
    addOrUpdateLayout: (layout: IGlue.ILayoutTemplate, callback: (n: IGlue.ILayoutTemplate) => void) => void;
    updateLayoutTitle: (templateid: string, title: string, callback: () => void) => void;
    deleteLayout: (layout: IGlue.ILayoutTemplate, callback: () => void) => void;
    deleteStaticControlsConfiguration: (controls: {
        scope: string;
        instanceId: string;
    }[], callback: () => void) => void;
    getAllTemplates: (includeNeverPublished: boolean, callback: (n: IGlue.ILayoutTemplate[]) => void) => void;
    addOrUpdateResource: (glueResource: IGlue.IGlueResource, callback: (n: string) => void) => void;
    addResourceVersion: (id: string, majorVersion: IGlue.IVersionIdentifier, content: any, callback: (n: IGlue.IGlueResourceVersion) => void) => void;
    hasEditPermissionOnGlueLayoutFolder: () => Promise<boolean>;
    getResource: (id: string, includeVersions: boolean, includeVersionContent: boolean, callback: (n: IGlue.IGlueResource) => void) => void;
    publishResource: (id: string, clearScope: boolean, clearMeta: boolean, callback: (n: string) => void) => void;
    undoResource: (id: string, callback: () => void) => void;
    getResourceVersion: (id: string, majorVersion: number, minorVersion: number, callback: (n: IGlue.IGlueResourceVersion) => void) => void;
    getLatestResourceVersion: (id: string, callback: (n: IGlue.IGlueResourceVersion) => void) => void;
    private deserializeData;
    getGlueLayoutConfiguration: (siteUrl: string, callback: (n: IGlue.ILayoutTemplate[]) => void) => void;
    getGlueLayoutMajorVersions: (layoutName: string, callback: (n: IGlue.IVersionIdentifier[]) => void) => void;
    getGlueLayoutByVersion: (layoutId: string, versionLabel: number, callback: (n: IGlue.IGlueResourceVersion) => void) => void;
    restoreGlueLayoutVersion: (layoutName: string, versionLabel: number, callback: (n: IGlue.IGlueResourceVersion) => void) => void;
    takeControl: (pageId: string, pageUrl: string, callback: () => void) => void;
}
